import { SupportedEditorLanguage } from "@/constants/languages";

export const DEFAULT_EDITOR_THEME = "vitesse-dark";

export const DEFAULT_EDITOR_LANGUAGE: SupportedEditorLanguage = "c";

export const DEFAULT_FILES: Record<
  SupportedEditorLanguage,
  {
    path: string;
    language: SupportedEditorLanguage;
    value: string;
  }
> = {
  c: {
    path: "playground/main.c",
    language: "c",
    value: `#include <stdio.h>
int main() {
  printf("Hello, World!");
  return 0;
}`,
  },
  cpp: {
    path: "playground/main.cpp",
    language: "cpp",
    value: `#include <iostream>
using namespace std;
int main() {
  cout << "Hello, World!";
  return 0;
}`,
  },
  java: {
    path: "playground/Main.java",
    language: "java",
    value: `public class Main {
  public static void main(String[] args) {
      System.out.println("Hello, World!");
  }
}`,
  },
};
